﻿
using System.Windows.Input;
using System.ComponentModel;
using Telerik.Windows.Controls;
namespace Customization_MVVM
{
	public class MenuItemViewModel : MenuViewModel, INotifyPropertyChanged
	{
		public enum MenuItemTypes : uint { Link, SpecialLink, TopLevel, TopLevelSection, Title, Paragraph, Gallery, Image };

		public string Content { get; set; }
		public MenuItemTypes Type { get; set; }
        public event PropertyChangedEventHandler PropertyChanged;

        public ICommand MenuItemCommand { get; set; }

		private bool isSeparator = false;
		public bool IsSeparator
		{
			get
			{
				return isSeparator;
			}
			set
			{
				isSeparator = value;
			}
		}

        private bool isVisible;

        public bool IsVisible
        {
            get 
            { 
                return this.isVisible; 
            }
            set
            {
                if (this.isVisible != value)
                {
                    this.isVisible = value;
                    this.OnPropertyChanged("IsVisible");
                }
            }
        }

        // Create the OnPropertyChanged method to raise the event
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
        

		public MenuItemViewModel()
		{
            this.IsVisible = true;
            this.MenuItemCommand = new DelegateCommand(OnMenuItemCommandExecuted);
		}

        private void OnMenuItemCommandExecuted(object obj)
        {
            //The paramater passed is the RadMenu .... you could pass any desired paramater
        }
	}
}
